diff -Naur mozilla-1.3.old/.mozconfig mozilla-1.3.new/.mozconfig
--- mozilla-1.3.old/.mozconfig	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/.mozconfig	Fri Apr 25 16:41:42 2003
@@ -0,0 +1,20 @@
+ac_add_options --enable-macos-target=10.2
+ac_add_options --enable-default-toolkit=gtk2
+ac_add_options --with-pthreads
+ac_add_options --mandir=@PREFIX@/share/man
+ac_add_options --with-system-jpeg=@PREFIX@
+ac_add_options --with-system-zlib=@PREFIX@
+ac_add_options --with-system-png=@PREFIX@
+ac_add_options --with-system-mng=@PREFIX@
+ac_add_options --disable-tests
+ac_add_options --disable-debug
+ac_add_options --disable-short-wchar
+ac_add_options --enable-optimize
+ac_add_options --enable-strip
+ac_add_options --enable-crypto
+ac_add_options --enable-mathml
+ac_add_options --enable-extensions=all
+ac_add_options --enable-xinerama
+ac_add_options --with-default-mozilla-five-home=@PREFIX@/lib/mozilla
+mk_add_options MOZ_MAKE_FLAGS=-j4
+
diff -Naur mozilla-1.3.old/config/add-chrome.pl mozilla-1.3.new/config/add-chrome.pl
--- mozilla-1.3.old/config/add-chrome.pl	Tue Oct  8 15:17:15 2002
+++ mozilla-1.3.new/config/add-chrome.pl	Fri Apr 25 15:01:37 2003
@@ -14,7 +14,8 @@
 my $jarFileName = $ARGV[4];
 
 my $win32 = ($^O =~ /((MS)?win32)|cygwin|os2/i) ? 1 : 0;
-my $macos = ($^O =~ /MacOS|darwin/i) ? 1 : 0;
+#my $macos = ($^O =~ /MacOS|darwin/i) ? 1 : 0;
+my $macos = 0;
 my $unix  = !($win32 || $macos) ? 1 : 0;
 
 sub foreignPlatformFile
diff -Naur mozilla-1.3.old/config/autoconf.mk.in mozilla-1.3.new/config/autoconf.mk.in
--- mozilla-1.3.old/config/autoconf.mk.in	Fri Jan 10 10:19:28 2003
+++ mozilla-1.3.new/config/autoconf.mk.in	Fri Apr 25 15:01:37 2003
@@ -29,14 +29,14 @@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
-includedir	= @includedir@/mozilla-$(MOZILLA_VERSION)
+includedir	= @includedir@/mozilla
 libdir		= @libdir@
 datadir		= @datadir@
 mandir		= @mandir@
-idldir		= @datadir@/idl/mozilla-$(MOZILLA_VERSION)
+idldir		= @datadir@/idl/mozilla
 
-mozappdir	= $(libdir)/mozilla-$(MOZILLA_VERSION)
-mredir		= $(libdir)/mre/mre-$(MOZILLA_VERSION)
+mozappdir	= $(libdir)/mozilla
+mredir		= $(libdir)/mre/mre
 mrelibdir	= $(mredir)/lib
 
 DIST		= $(DEPTH)/dist
diff -Naur mozilla-1.3.old/config/rules.mk mozilla-1.3.new/config/rules.mk
--- mozilla-1.3.old/config/rules.mk	Thu Jan 30 16:41:27 2003
+++ mozilla-1.3.new/config/rules.mk	Fri Apr 25 15:01:37 2003
@@ -420,7 +420,7 @@
 ifdef IS_COMPONENT
 EXTRA_DSO_LDOPTS	+= -bundle
 else
-EXTRA_DSO_LDOPTS	+= -dynamiclib -install_name @executable_path/\$@ -compatibility_version 1 -current_version 1
+EXTRA_DSO_LDOPTS	+= -dynamiclib -install_name \$(mozappdir)/\$@ -compatibility_version 1 -current_version 1
 endif
 endif
 
diff -Naur mozilla-1.3.old/configure mozilla-1.3.new/configure
--- mozilla-1.3.old/configure	Sat Mar  8 06:25:09 2003
+++ mozilla-1.3.new/configure	Fri Apr 25 15:01:37 2003
@@ -4764,7 +4764,7 @@
     ;;
 
 *-darwin*)
-    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX -DXP_MACOSX -DNO_X11"
+    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX"
     HOST_NSPR_MDCPUCFG='\"md/_darwin.cfg\"'
     HOST_OPTIMIZE_FLAGS="${HOST_OPTIMIZE_FLAGS=-O3}"
     ;;
@@ -4883,34 +4883,15 @@
 
 *-darwin*) 
     _PEDANTIC=
-    CFLAGS="$CFLAGS -fpascal-strings -traditional-cpp -fno-common"
-    CXXFLAGS="$CXXFLAGS -fpascal-strings -traditional-cpp -fno-common"
+    CFLAGS="$CFLAGS -no-cpp-precomp -fno-common"
+    CXXFLAGS="$CXXFLAGS -no-cpp-precomp -fno-common"
     DLL_SUFFIX=".dylib"
     DSO_LDOPTS=''
     STRIP="$STRIP -x -S"
     case "${target_cpu}" in
     powerpc*)
-        cat >> confdefs.h <<\EOF
-#define XP_MACOSX 1
-EOF
-
-        cat >> confdefs.h <<\EOF
-#define TARGET_CARBON 1
-EOF
-
-        cat >> confdefs.h <<\EOF
-#define TARGET_API_MAC_CARBON 1
-EOF
-
-        no_x=yes
         MACOSX=1
-        _PLATFORM_DEFAULT_TOOLKIT='mac'
         DSO_LDOPTS="$DSO_LDOPTS -arch ppc"
-        TK_LIBS='-framework Carbon /System/Library/Frameworks/Carbon.framework/Carbon'
-        TK_CFLAGS="-I/Developer/Headers/FlatCarbon -F/System/Library/Frameworks"
-        CFLAGS="$CFLAGS $TK_CFLAGS"
-        CXXFLAGS="$CXXFLAGS $TK_CFLAGS"
-        MOZ_ENABLE_POSTSCRIPT=
         ;;
     esac
     ;;
@@ -7272,8 +7253,6 @@
 
 
 case $target in
-*-darwin*)
-	;;
 *)
 	echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
 echo "configure:7280: checking for dlopen in -ldl" >&5
diff -Naur mozilla-1.3.old/content/base/src/nsDocumentViewer.cpp mozilla-1.3.new/content/base/src/nsDocumentViewer.cpp
--- mozilla-1.3.old/content/base/src/nsDocumentViewer.cpp	Tue Feb 25 13:39:44 2003
+++ mozilla-1.3.new/content/base/src/nsDocumentViewer.cpp	Fri Apr 25 15:01:37 2003
@@ -1155,6 +1155,11 @@
     mDocument->StopDocumentLoad();
   }
 
+#if 1 /* Bugzilla 70030 */
+  if ((mLoaded || mStopped) && mPresContext)
+    mPresContext->SetImageAnimationMode(imgIContainer::kDontAnimMode);
+#endif
+
   mStopped = PR_TRUE;
 
   if (!mLoaded && mPresShell) {
diff -Naur mozilla-1.3.old/directory/c-sdk/config/config.mk mozilla-1.3.new/directory/c-sdk/config/config.mk
--- mozilla-1.3.old/directory/c-sdk/config/config.mk	Wed Mar 27 06:51:57 2002
+++ mozilla-1.3.new/directory/c-sdk/config/config.mk	Fri Apr 25 15:01:37 2003
@@ -60,10 +60,10 @@
 
 NFSPWD		= $(MOD_DEPTH)/config/nfspwd
 
-CFLAGS		= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(OS_CFLAGS)\
-		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
-CCCFLAGS	= $(CCC_ONLY_FLAGS) $(OPTIMIZER) $(OS_CFLAGS)\
-		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
+CFLAGS		= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(XP_DEFINE)\
+		  $(DEFINES) $(INCLUDES) $(XCFLAGS) $(OS_CFLAGS)
+CCCFLAGS	= $(CCC_ONLY_FLAGS) $(OPTIMIZER) $(XP_DEFINE)\
+		  $(DEFINES) $(INCLUDES) $(XCFLAGS) $(OS_CFLAGS)
 # For purify
 NOMD_CFLAGS	= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(NOMD_OS_CFLAGS)\
 		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
diff -Naur mozilla-1.3.old/directory/c-sdk/configure mozilla-1.3.new/directory/c-sdk/configure
--- mozilla-1.3.old/directory/c-sdk/configure	Wed Dec 18 06:43:01 2002
+++ mozilla-1.3.new/directory/c-sdk/configure	Fri Apr 25 15:01:37 2003
@@ -3374,7 +3374,7 @@
 
         CPU_ARCH=ppc
     fi
-    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @executable_path/$@'
+    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name $(libdir)/mozilla/$@'
     # Use the standard preprocessor (cpp)
     CFLAGS="$CFLAGS -no-cpp-precomp"
     MKSHLIB='$(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS) -o $@'
diff -Naur mozilla-1.3.old/fink/Applications/mozilla-editor.desktop mozilla-1.3.new/fink/Applications/mozilla-editor.desktop
--- mozilla-1.3.old/fink/Applications/mozilla-editor.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Applications/mozilla-editor.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla Editor
+Comment=HTML Composer
+Exec=mozilla -edit
+Icon=gnome-word.png
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla-address.desktop mozilla-1.3.new/fink/Internet/mozilla-address.desktop
--- mozilla-1.3.old/fink/Internet/mozilla-address.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla-address.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla Addressbook
+Comment=Addressbook from Mozilla Mailnews
+Exec=mozilla -addressbook
+Icon=gnome-calendar.png
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla-chatzilla.desktop mozilla-1.3.new/fink/Internet/mozilla-chatzilla.desktop
--- mozilla-1.3.old/fink/Internet/mozilla-chatzilla.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla-chatzilla.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Chatzilla
+Comment=IRC client
+Exec=mozilla -chat
+Icon=gnome-irc.png
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla-mail-composer.desktop mozilla-1.3.new/fink/Internet/mozilla-mail-composer.desktop
--- mozilla-1.3.old/fink/Internet/mozilla-mail-composer.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla-mail-composer.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla Mail Composer
+Comment=Mozilla Mail Composer
+Exec=mozilla -compose
+Icon=mozilla-mail-composer.gif
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla-mail.desktop mozilla-1.3.new/fink/Internet/mozilla-mail.desktop
--- mozilla-1.3.old/fink/Internet/mozilla-mail.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla-mail.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla Mail
+Comment=Mozilla Mail
+Exec=mozilla -mail
+Icon=mozilla-mail.gif
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla-news.desktop mozilla-1.3.new/fink/Internet/mozilla-news.desktop
--- mozilla-1.3.old/fink/Internet/mozilla-news.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla-news.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla News
+Comment=Mozilla Mail
+Exec=mozilla -news
+Icon=gnome-news.png
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/Internet/mozilla.desktop mozilla-1.3.new/fink/Internet/mozilla.desktop
--- mozilla-1.3.old/fink/Internet/mozilla.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/Internet/mozilla.desktop	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mozilla
+Comment=Mozilla Web Browser
+Exec=mozilla 
+Icon=mozilla.png
+Terminal=false
+MultipleArgs=false
+Type=Application
diff -Naur mozilla-1.3.old/fink/chrome.d/default mozilla-1.3.new/fink/chrome.d/default
--- mozilla-1.3.old/fink/chrome.d/default	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/chrome.d/default	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,2 @@
+skin,install,select,modern/1.0
+locale,install,select,en-US
diff -Naur mozilla-1.3.old/fink/mozilla mozilla-1.3.new/fink/mozilla
--- mozilla-1.3.old/fink/mozilla	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/mozilla	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# The contents of this file are subject to the Netscape Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/NPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is mozilla.org code.
+#
+# The Initial Developer of the Original Code is Netscape
+# Communications Corporation.  Portions created by Netscape are
+# Copyright (C) 1998 Netscape Communications Corporation. All
+# Rights Reserved.
+#
+# Contributor(s): 
+#
+
+## 
+## Usage:
+##
+## $ mozilla
+##
+## This script is meant to run a mozilla program from the mozilla
+## rpm installation.
+##
+## The script will setup all the environment voodoo needed to make
+## mozilla work.
+
+##
+## Variables
+##
+MOZ_PROGRAM="@PREFIX@/lib/mozilla/mozilla-bin"
+
+##
+## Set MOZILLA_FIVE_HOME
+##
+MOZILLA_FIVE_HOME="@PREFIX@/lib/mozilla"
+export MOZILLA_FIVE_HOME
+
+##
+## Set DYLD_LIBRARY_PATH
+##
+DYLD_LIBRARY_PATH=@PREFIX@/lib/mozilla:$DYLD_LIBRARY_PATH
+export DYLD_LIBRARY_PATH
+
+# If there is no command line argument at all then try to open a new
+# window in an already running instance.
+
+if [ -z "$1" ]; then
+  $MOZ_PROGRAM -remote "openurl(about:blank,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+# If there's a command line argument but it doesn't begin with a -
+# it's probably a url.  Try to send it to a running instance.
+
+USE_EXIST=0
+opt="$1"
+case "$opt" in
+  -*) ;;
+  *) USE_EXIST=1 ;;
+esac
+
+if [ "${USE_EXIST}" -eq "1" ]; then
+  # check to make sure that the command contains at least a :/ in it.
+  echo $opt | grep -e ':/' 2>/dev/null >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "1" ]; then
+    # does it begin with a / ?
+    echo $opt | grep -e '^/' >/dev/null
+    RETURN_VAL=$?
+    if [ "$RETURN_VAL" -eq "0" ]; then
+      opt="file:$opt"
+    elif [ -e `pwd`/$opt ]; then
+      opt="`pwd`/$opt"
+    else
+      opt="http://$opt"
+    fi
+  fi
+  $MOZ_PROGRAM -remote "openurl($opt,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+$MOZ_PROGRAM ${1+"$@"}
diff -Naur mozilla-1.3.old/fink/prefs.js mozilla-1.3.new/fink/prefs.js
--- mozilla-1.3.old/fink/prefs.js	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/prefs.js	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,23 @@
+// XIM style
+pref("xim.input_style", "over-the-spot");
+
+// TryeType
+pref("font.FreeType2.enable", true);
+pref("font.freetype2.shared-library", "@PREFIX@/lib/libfreetype.6.dylib");
+pref("font.FreeType2.autohinted", true);
+pref("font.FreeType2.unhinted", true);
+pref("font.antialias.min",        10);
+pref("font.embedded_bitmaps.max", 1000000);
+pref("font.scale.tt_bitmap.dark_text.min", 64);
+pref("font.scale.tt_bitmap.dark_text.gain", "0.0");
+pref("font.directory.truetype.1", "/Library/Fonts");
+pref("font.directory.truetype.2", "/Network/Library/Fonts");
+pref("font.directory.truetype.3", "/System/Library/Fonts");
+pref("font.directory.truetype.4", "/usr/X11R6/lib/X11/fonts/TTF");
+pref("font.directory.truetype.5", "@PREFIX@/share/fonts/truetype");
+
+// AA with Bitmap scaling.
+pref("font.scale.aa_bitmap.enable", true);
+pref("font.scale.aa_bitmap.always", false);
+pref("font.scale.aa_bitmap.min", 6);
+
diff -Naur mozilla-1.3.old/fink/update-mozilla-chrome mozilla-1.3.new/fink/update-mozilla-chrome
--- mozilla-1.3.old/fink/update-mozilla-chrome	Thu Jan  1 09:00:00 1970
+++ mozilla-1.3.new/fink/update-mozilla-chrome	Fri Apr 25 15:01:37 2003
@@ -0,0 +1,22 @@
+#!/bin/sh -e
+
+ulimit -s unlimited || true
+
+MOZILLA_FIVE_HOME=@PREFIX@/lib/mozilla
+CHROME_DIR=@PREFIX@/var/lib/mozilla/chrome.d
+
+TMPFILE=`tempfile`
+cat ${CHROME_DIR}/* >>${TMPFILE}
+mv ${TMPFILE} ${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt
+chmod 644 ${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt
+
+rm -rf ${MOZILLA_FIVE_HOME}/chrome/overlayinfo
+rm -f  ${MOZILLA_FIVE_HOME}/chrome/*.rdf
+rm -f  ${MOZILLA_FIVE_HOME}/component.reg
+rm -f  ${MOZILLA_FIVE_HOME}/components/*.dat
+
+sudo -H ${MOZILLA_FIVE_HOME}/regxpcom || true
+sudo -H ${MOZILLA_FIVE_HOME}/regchrome || true
+
+exit 0
+
diff -Naur mozilla-1.3.old/intl/uconv/src/nsUNIXCharset.cpp mozilla-1.3.new/intl/uconv/src/nsUNIXCharset.cpp
--- mozilla-1.3.old/intl/uconv/src/nsUNIXCharset.cpp	Thu Apr 24 18:11:54 2003
+++ mozilla-1.3.new/intl/uconv/src/nsUNIXCharset.cpp	Fri Apr 25 15:02:42 2003
@@ -124,6 +124,7 @@
    }
    NS_ASSERTION(0, "unable to convert locale to charset using deprecated config");
    mCharset.Assign(NS_LITERAL_STRING("ISO-8859-1"));
+   oResult = mCharset;
    return NS_SUCCESS_USING_FALLBACK_LOCALE;
 }
 
diff -Naur mozilla-1.3.old/modules/libpref/src/nsPrefService.cpp mozilla-1.3.new/modules/libpref/src/nsPrefService.cpp
--- mozilla-1.3.old/modules/libpref/src/nsPrefService.cpp	Wed Mar  5 11:22:26 2003
+++ mozilla-1.3.new/modules/libpref/src/nsPrefService.cpp	Fri Apr 25 15:01:37 2003
@@ -542,6 +542,7 @@
 #elif defined(XP_BEOS)
       "beos.js"
 #endif
+      , "fink.js"
   };
 
   rv = NS_GetSpecialDirectory(NS_APP_PREF_DEFAULTS_50_DIR, getter_AddRefs(defaultPrefDir));
diff -Naur mozilla-1.3.old/modules/plugin/base/src/Makefile.in mozilla-1.3.new/modules/plugin/base/src/Makefile.in
--- mozilla-1.3.old/modules/plugin/base/src/Makefile.in	Fri Feb 14 04:24:19 2003
+++ mozilla-1.3.new/modules/plugin/base/src/Makefile.in	Fri Apr 25 15:01:37 2003
@@ -85,7 +85,7 @@
 	CPPSRCS += nsPluginsDirOS2.cpp
 	CPPSRCS += nsPluginNativeWindowOS2.cpp
 else
-ifeq ($(OS_ARCH),Darwin)
+ifeq ($(MOZ_WIDGET_TOOLKIT),mac)
 	CPPSRCS += nsPluginsDirDarwin.cpp
 	CPPSRCS += nsPluginNativeWindow.cpp
 else
diff -Naur mozilla-1.3.old/nsprpub/configure mozilla-1.3.new/nsprpub/configure
--- mozilla-1.3.old/nsprpub/configure	Tue Jan 21 05:49:47 2003
+++ mozilla-1.3.new/nsprpub/configure	Fri Apr 25 15:01:37 2003
@@ -3209,7 +3209,7 @@
 
         CPU_ARCH=ppc
     fi
-    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @executable_path/$@'
+    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name $(libdir)/mozilla/$@'
     # Use the standard preprocessor (cpp)
     CFLAGS="$CFLAGS -no-cpp-precomp"
     MKSHLIB='$(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS) -o $@'
@@ -3221,9 +3221,6 @@
 
     # Add Mac OS X support for loading CFM & CFBundle plugins
     if test -f /System/Library/Frameworks/Carbon.framework/Carbon; then
-        cat >> confdefs.h <<\EOF
-#define XP_MACOSX 1
-EOF
 
         OS_TARGET=MacOSX
 
diff -Naur mozilla-1.3.old/nsprpub/pr/include/md/_darwin.h mozilla-1.3.new/nsprpub/pr/include/md/_darwin.h
--- mozilla-1.3.old/nsprpub/pr/include/md/_darwin.h	Fri Jan 17 08:09:11 2003
+++ mozilla-1.3.new/nsprpub/pr/include/md/_darwin.h	Fri Apr 25 15:01:37 2003
@@ -55,7 +55,8 @@
 
 #undef  HAVE_STACK_GROWING_UP
 #define HAVE_DLL
-#define USE_MACH_DYLD
+/* #define USE_MACH_DYLD */
+#define USE_DLFCN
 #define _PR_HAVE_SOCKADDR_LEN  
 #define _PR_STAT_HAS_ST_ATIMESPEC
 #define _PR_NO_LARGE_FILES
diff -Naur mozilla-1.3.old/nsprpub/pr/src/Makefile.in mozilla-1.3.new/nsprpub/pr/src/Makefile.in
--- mozilla-1.3.old/nsprpub/pr/src/Makefile.in	Tue Jan 21 01:01:29 2003
+++ mozilla-1.3.new/nsprpub/pr/src/Makefile.in	Fri Apr 25 15:01:37 2003
@@ -188,9 +188,9 @@
 endif
 endif
 
-ifeq ($(OS_TARGET),MacOSX)
-OS_LIBS		= -framework CoreServices -framework CoreFoundation
-endif
+#ifeq ($(OS_TARGET),MacOSX)
+#OS_LIBS		= -framework CoreServices -framework CoreFoundation
+#endif
 
 ifdef GC_LEAK_DETECTOR
 EXTRA_LIBS	= -L$(dist_libdir) -lboehm
diff -Naur mozilla-1.3.old/security/coreconf/Darwin.mk mozilla-1.3.new/security/coreconf/Darwin.mk
--- mozilla-1.3.old/security/coreconf/Darwin.mk	Wed Feb 19 06:00:21 2003
+++ mozilla-1.3.new/security/coreconf/Darwin.mk	Fri Apr 25 15:01:37 2003
@@ -59,7 +59,7 @@
 # definitions so that the linker can catch multiply-defined symbols.
 # Also, common symbols are not allowed with Darwin dynamic libraries.
 
-OS_CFLAGS	= $(DSO_CFLAGS) $(OS_REL_CFLAGS) -Wmost -fpascal-strings -traditional-cpp -fno-common -pipe -DDARWIN -DHAVE_STRERROR -DHAVE_BSD_FLOCK
+OS_CFLAGS	= $(DSO_CFLAGS) $(OS_REL_CFLAGS) -Wmost -no-cpp-precomp -fno-common -pipe -DDARWIN -DHAVE_STRERROR -DHAVE_BSD_FLOCK
 
 ifdef BUILD_OPT
 OPTIMIZER	= -O2
@@ -68,7 +68,7 @@
 ARCH		= darwin
 
 # May override this with -bundle to create a loadable module.
-DSO_LDOPTS	= -dynamiclib -compatibility_version 1 -current_version 1 -install_name @executable_path/$(notdir $@)
+DSO_LDOPTS	= -dynamiclib -compatibility_version 1 -current_version 1 -install_name @PREFIX@/lib/mozilla/$(notdir $@)
 
 MKSHLIB		= $(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS)
 DLL_SUFFIX	= dylib
diff -Naur mozilla-1.3.old/security/nss/cmd/platlibs.mk mozilla-1.3.new/security/nss/cmd/platlibs.mk
--- mozilla-1.3.old/security/nss/cmd/platlibs.mk	Thu Sep 19 08:25:27 2002
+++ mozilla-1.3.new/security/nss/cmd/platlibs.mk	Fri Apr 25 15:01:37 2003
@@ -177,7 +177,7 @@
 endif
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 # Use the Solaris ld, which knows where to find libsoftokn3.so.
diff -Naur mozilla-1.3.old/security/nss/lib/smime/config.mk mozilla-1.3.new/security/nss/lib/smime/config.mk
--- mozilla-1.3.old/security/nss/lib/smime/config.mk	Sat Feb 16 08:38:43 2002
+++ mozilla-1.3.new/security/nss/lib/smime/config.mk	Fri Apr 25 15:01:37 2003
@@ -60,7 +60,7 @@
 	$(NULL)
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 endif
diff -Naur mozilla-1.3.old/security/nss/lib/ssl/config.mk mozilla-1.3.new/security/nss/lib/ssl/config.mk
--- mozilla-1.3.old/security/nss/lib/ssl/config.mk	Fri Feb 22 13:23:22 2002
+++ mozilla-1.3.new/security/nss/lib/ssl/config.mk	Fri Apr 25 15:01:37 2003
@@ -64,7 +64,7 @@
 endif
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 endif
diff -Naur mozilla-1.3.old/widget/src/gtk2/Makefile.in mozilla-1.3.new/widget/src/gtk2/Makefile.in
--- mozilla-1.3.old/widget/src/gtk2/Makefile.in	Sat Dec 28 10:14:45 2002
+++ mozilla-1.3.new/widget/src/gtk2/Makefile.in	Fri Apr 25 15:01:37 2003
@@ -90,7 +90,7 @@
 CFLAGS		+= $(MOZ_GTK2_CFLAGS)
 CXXFLAGS	+= $(MOZ_GTK2_CFLAGS)
 
-#DEFINES         += -DUSE_XIM
+DEFINES         += -DUSE_XIM
 
 INCLUDES	+= \
 		-I$(srcdir)/../xpwidgets \
diff -Naur mozilla-1.3.old/xpfe/bootstrap/Makefile.in mozilla-1.3.new/xpfe/bootstrap/Makefile.in
--- mozilla-1.3.old/xpfe/bootstrap/Makefile.in	Tue Mar 11 07:30:54 2003
+++ mozilla-1.3.new/xpfe/bootstrap/Makefile.in	Fri Apr 25 15:01:37 2003
@@ -307,7 +307,7 @@
 endif
 
 ifeq ($(OS_ARCH),Darwin)
-EXTRA_DSO_LDOPTS := $(subst -dynamiclib -install_name @executable_path/\$@ -compatibility_version 1 -current_version 1,-execute,$(EXTRA_DSO_LDOPTS))
+EXTRA_DSO_LDOPTS := $(subst -dynamiclib -install_name \$(mozappdir)/\$@ -compatibility_version 1 -current_version 1,-execute,$(EXTRA_DSO_LDOPTS))
 
 ifdef BUILD_STATIC_LIBS
 LDFLAGS	+= -framework QuickTime $(TK_LIBS)
diff -Naur mozilla-1.3.old/xpfe/bootstrap/nsNativeAppSupportGtk.cpp mozilla-1.3.new/xpfe/bootstrap/nsNativeAppSupportGtk.cpp
--- mozilla-1.3.old/xpfe/bootstrap/nsNativeAppSupportGtk.cpp	Thu Jan  9 08:16:46 2003
+++ mozilla-1.3.new/xpfe/bootstrap/nsNativeAppSupportGtk.cpp	Fri Apr 25 15:01:37 2003
@@ -54,6 +54,11 @@
 nsSplashScreenGtk::nsSplashScreenGtk()
 {
   // if this fails, we exit
+
+#if 1 /* Bugzilla 118478 */
+  gdk_set_locale();
+#endif
+
   gdk_init(0, NULL);
 }
 
diff -Naur mozilla-1.3.old/gfx/src/freetype/Makefile.in mozilla-1.3.new/gfx/src/freetype/Makefile.in
--- mozilla-1.3.old/gfx/src/freetype/Makefile.in	Mon Jan 20 12:04:16 2003
+++ mozilla-1.3.new/gfx/src/freetype/Makefile.in	Sat Apr 26 13:59:02 2003
@@ -50,6 +50,8 @@
 ifdef MOZ_ENABLE_FREETYPE2
 DEFINES         += -DMOZ_ENABLE_FREETYPE2
 INCLUDES        += $(FT2_CFLAGS)
+CC              += $(FT2_CFLAGS)
+CXX             += $(FT2_CFLAGS)
 # due to runtime linking with PR_LoadLibrary
 # EXTRA_DSO_LDOPTS does not need $(FT2_LIBS)
 endif
diff -Naur mozilla-1.3.old/gfx/src/gtk/Makefile.in mozilla-1.3.new/gfx/src/gtk/Makefile.in
--- mozilla-1.3.old/gfx/src/gtk/Makefile.in	Sat Dec 28 10:13:36 2002
+++ mozilla-1.3.new/gfx/src/gtk/Makefile.in	Sat Apr 26 13:58:20 2003
@@ -206,6 +206,8 @@
 ifdef MOZ_ENABLE_FREETYPE2
 DEFINES         += -DMOZ_ENABLE_FREETYPE2
 INCLUDES        += $(FT2_CFLAGS)
+CC              += $(FT2_CFLAGS)
+CXX             += $(FT2_CFLAGS)
 endif
 
 ifdef MOZ_ENABLE_XPRINT
diff -Naur mozilla-1.3.old/gfx/src/ps/Makefile.in mozilla-1.3.new/gfx/src/ps/Makefile.in
--- mozilla-1.3.old/gfx/src/ps/Makefile.in	Wed Jan 22 05:38:15 2003
+++ mozilla-1.3.new/gfx/src/ps/Makefile.in	Sat Apr 26 13:58:37 2003
@@ -88,6 +88,8 @@
 
 ifdef MOZ_ENABLE_FREETYPE2
 INCLUDES        += $(FT2_CFLAGS)
+CC              += $(FT2_CFLAGS)
+CXX             += $(FT2_CFLAGS)
 endif
 
 ifeq ($(OS_ARCH), Linux)
diff -Naur mozilla-1.3.old/themes/Makefile.in mozilla-1.3.new/themes/Makefile.in
--- mozilla-1.3.old/themes/Makefile.in	Thu Nov 21 16:10:01 2002
+++ mozilla-1.3.new/themes/Makefile.in	Sat Apr 26 14:15:19 2003
@@ -36,7 +36,9 @@
 
 # select classic as the default skin
 libs::
-	echo skin,install,select,classic/1.0 >> $(DIST)/bin/chrome/installed-chrome.txt
+# fix lator
+#	echo skin,install,select,classic/1.0 >> $(DIST)/bin/chrome/installed-chrome.txt
 
 install::
-	echo skin,install,select,classic/1.0 >> $(DESTDIR)$(mozappdir)/chrome/installed-chrome.txt
+# fix lator
+#	echo skin,install,select,classic/1.0 >> $(DESTDIR)$(mozappdir)/chrome/installed-chrome.txt
